Bug 84574 - COLOR PICKER: Palette color list should have scrollbar
Summary: COLOR PICKER: Palette color list should have scrollbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2014-10-02 00:10 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-06-06 15:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Win7x64 screenshot (22.29 KB, image/png)
2014-10-02 05:06 UTC, tommy27
Details
GNU/Linux screenshot (17.15 KB, image/png)
2014-10-03 22:22 UTC, Owen Genat (retired)
Details
no scrollbars on Windows 7 (96.72 KB, image/png)
2014-10-04 23:54 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-02 00:10:34 UTC
Pulled from bug 37480 comment 17.

5) low: i think a scrollbar for the palette color list would be suitable, as presently there isnt any indication that their are more colors in the list than what is currently being seen. And if i select a color at the bottom of the scrolled list, when i reopen the popup, it wont show it selected.
Comment 1 tommy27 2014-10-02 05:06:19 UTC
Created attachment 107214 [details]
Win7x64 screenshot

hi Jay, here's my screenshot from  4.4.0.0.alpha0+
Build ID: faf99f6f405e076d5c9ab95c876ae1ffb896f8d1
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-26_09:41:28

I see a scrollbar on the right, where is the bug you are reporting?
Comment 2 Yousuf Philips (jay) (retired) 2014-10-02 07:18:31 UTC
Maybe this bug is limited to linux then (attachment 107210 [details]).
Comment 3 tommy27 2014-10-02 07:35:11 UTC
looks like Linux only indeed
Comment 4 Yousuf Philips (jay) (retired) 2014-10-02 09:37:53 UTC
Yes this seems to be a linux only issue and will happen in some themes. It happens in clearlooks, crux, high contrast, industrial, oxygen-gtk, raleigh, redmond, and xfce themes on linux mint 17 xfce.
Comment 5 Owen Genat (retired) 2014-10-03 22:22:02 UTC
Created attachment 107288 [details]
GNU/Linux screenshot

Taken under Crunchbang 11 x86_64 using v4.4.0.0.alpha0+ Build ID: 65277f994ae25d930c15aebba0ed19f8de0abba1 TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-29_19:47:20
Comment 6 Owen Genat (retired) 2014-10-03 22:23:28 UTC
As per comment 5, confirmed. Status set to NEW. Component set to UI.
Comment 7 Yousuf Philips (jay) (retired) 2014-10-04 23:53:25 UTC
Just confirmed on Windows 7 that the color picker doesnt have scrollbars for me.
Comment 8 Yousuf Philips (jay) (retired) 2014-10-04 23:54:02 UTC
Created attachment 107338 [details]
no scrollbars on Windows 7
Comment 9 Yousuf Philips (jay) (retired) 2014-10-04 23:56:22 UTC
I tested in on the Windows Classic and Windows 7 Basic themes.

Version: 4.4.0.0.alpha0+
Build ID: f33002aa5de7e88960e7c21286a661c89fd478c7
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-04_03:31:18
Comment 10 Yousuf Philips (jay) (retired) 2014-10-21 19:43:13 UTC
Well the scrollbars are now appearing on Windows and Linux for me. I believe Matthew might have fixed this issue as we had talked about this issue on IRC a few days back.

Version: 4.4.0.0.alpha0+
Build ID: c68642d535f2ebb7f1cd866ad19b1fd018e7cd6d
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-18_23:03:32

.4.0.0.alpha0+
Build ID: 4b71bb35a7c04fef4ed86591d8892a29c4150c0b
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-10-19_01:56:13

The only thing that needs to be adjusted is the right padding between the scrollbar and the edge of the drop down, so that it is the same as the left side.

On linux, there is an 8 pixel padding on the left and a 2 pixel padding on the right. On Windows there is 7 pixels on the left and 3 pixels on the right. So if an addition 5 pixels can be added to the right. That would be the best possible fix.
Comment 11 Yousuf Philips (jay) (retired) 2014-10-31 22:45:08 UTC
After the fix to bug 85416, the scrollbars have disappeared again.

Version: 4.4.0.0.alpha1+
Build ID: c91e045c12ac5dffc20c04c6f97db4892c1e558d
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-31_01:07:08

Its not showing for me on Linux Mint 13 Mate [Clearlooks] or Windows 7 [Basic]. On Windows 7, the scrollbar does appear (though half cut) in Classic and it shows fine in Aero.
Comment 12 Juergen Funk (CIB) 2014-11-06 15:36:22 UTC
Try to fix
Comment 13 Commit Notification 2014-11-07 09:19:31 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8923bf821cab049e8f82380450b2440d5e146c7c

Fix fdo#84574 - COLOR PICKER: Palette color list should have scrollbar

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Yousuf Philips (jay) (retired) 2014-11-08 20:35:20 UTC
Okay scrollbar are now appearing in Windows 7 Classic, but the dialog still needs 5 pixels added to it width so that it has the same padding on its right and left.
Comment 15 Samuel Mehrbrodt (CIB) 2014-11-10 13:18:19 UTC
@Jay: Technically that's another bug, can you please file a new bug for that?
Comment 16 Adolfo Jayme 2014-11-11 13:08:27 UTC
(In reply to Jay Philips from comment #14)
> Okay scrollbar are now appearing in Windows 7 Classic, but the dialog still
> needs 5 pixels added to it width

And what does that have anything to do with Jürgen’s scrollbar work? The padding was uneven before his commit. Please don’t reopen bugs like this, I think you were already told.

That said, moving this to VERIFIED.
Comment 17 Yousuf Philips (jay) (retired) 2014-11-11 14:47:10 UTC
My apologize. I had told tommy that we could fix the right padding issue with this bug and the bottom padding issue with the button bug. So i've opened a new bug for both padding issues (bug 86159).